Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.entities.mapper.relation.query
Interface RelationQueryGenerator

All Known Implementing Classes:
  OneAuditEntityQueryGenerator, OneEntityQueryGenerator, ThreeEntityQueryGenerator, TwoEntityOneAuditedQueryGenerator, TwoEntityQueryGenerator

    public interface RelationQueryGenerator

TODO: cleanup implementations and extract common code Implementations of this interface provide a method to generate queries on a relation table (a table used for mapping relations). The query can select, apart from selecting the content of the relation table, also data of other "related" entities.

Method Summary
`Query` | `getQuery(AuditReaderImplementor versionsReader, Object primaryKey, Number revision)`

Method Detail

### getQuery

    Query getQuery(AuditReaderImplementor versionsReader,
                   Object primaryKey,
                   Number revision)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.